routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */

/* WEB */

Route::get('/', 'Web\WebController@index')->name('/');
Route::get('institucional', 'Web\WebController@institucional')->name('institucional');
Route::get('historia', 'Web\WebController@historia')->name('historia');
Route::get('mision', 'Web\WebController@mision')->name('mision');
Route::get('consejos', 'Web\WebController@consejos')->name('consejos');
Route::get('requisitos', 'Web\WebController@requisitos')->name('requisitos');
Route::get('contacto', 'Web\WebController@contacto')->name('contacto');
Route::get('comunicado', 'Web\WebController@comunicados')->name('comunicados');
Route::get('detallecomunicado/{id}', 'Web\WebController@detallecomunicado')->name('detallecomunicado');
Route::post('contactos', 'EmailController@store')->name('contacto-mensaje');
Route::get('evento', 'Web\WebController@eventos')->name('eventos');
Route::get('detalleevento/{id}', 'Web\WebController@detalleevento')->name('detalleevento');
Route::get('tramite', 'Web\WebController@tramites')->name('tramites');
Route::get('detalletramite/{id}', 'Web\WebController@detalletramites')->name('detalletramite');
/* SISTEMA */
Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('sliders', 'Admin\SlidersController');
Route::resource('eventos', 'Admin\EventosController');
Route::resource('clientes', 'Admin\ClientesController');
Route::post('importarExcel', 'Admin\ClientesController@importarExcel')->name('importarExcel');
Route::resource('comunicados', 'Admin\ComunicadosController');
Route::resource('tramites', 'Admin\TramitesController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('excel', 'ExcelController');

Route::get('nombres', 'Web\WebController@buscador')->name('paginas');
Route::get('nombres/buscador', 'Web\WebController@buscador')->name('buscador');

app/Models/Clientes.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Clientes extends Model
{
     protected $table = "clientes";

    protected $fillable = [
        'nombres',
        'paterno',
        'materno',
        'img',
        'ctsp',
        'estado',
        'maestria',
        'doctorado',
        'especialidad',
        'email',
        'genero',
        'dni',
    ];
}

app/Http/Controllers/Admin/ClientesController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\ClientesRequest;
use App\Models\Clientes;
use DB;
use Excel;
use Illuminate\Http\Request;

class ClientesController extends Controller
{
    public function importarExcel(Request $request)
    {
        $clientes = Clientes::all();
        // dd($analisis);
        \Excel::load($request->excel, function ($reader) {
            $excel = $reader->get();

            $reader->each(function ($row) {
                $clientes                   = new Clientes;
                $clientes->nombres          = $row->nombres;
                $clientes->paterno          = $row->paterno;
                $clientes->materno          = $row->materno;
                $clientes->ctsp             = $row->ctsp;
                $clientes->estado           = $row->estado;
                $clientes->maestria         = $row->maestria;
                $clientes->doctorado        = $row->doctorado;
                $clientes->email            = $row->email;
                $clientes->img              = $row->img;
                $clientes->especialidad     = $row->especialidad;
                $clientes->genero = $row->genero;
                $clientes->dni   = $row->dni;
                $clientes->save();
            });
        });

        return back()->with('flash', 'Los miembros se han cargado correctamente');
    }
    public function index()
    {
        $clientes = Clientes::orderBy('id', 'desc')->get();
        return view('admin.pages.clientes.index')->with(compact('clientes'));
    }

    public function create()
    {
        return view('admin.pages.clientes.create');
    }
    public function store(ClientesRequest $request)
    {

        
            $clientes                   = new Clientes();
            $clientes->nombres          = $request->nombres;
            $clientes->paterno          = $request->paterno;
            $clientes->materno          = $request->materno;
            $clientes->ctsp             = $request->ctsp;
            $clientes->estado           = $request->estado;
            $clientes->maestria         = $request->maestria;
            $clientes->doctorado        = $request->doctorado;
            $clientes->especialidad     = $request->especialidad;
            $clientes->email            = $request->email;
            $clientes->genero = $request->genero;
            $clientes->dni   = $request->dni;
            $clientes->celular   = $request->celular;
            if ($request->file('image')) {
                $file = $request->file('image');
                $name = 'clientes_' . time() . '.' . $file->getClientOriginalExtension();
                $path = public_path() . '/admin/images/clientes/';
                $file->move($path, $name);
                $clientes->img = $name;
            }
            $clientes->save();
            DB::commit();
            return redirect()->route('clientes.index')->with('flash', 'El Miembro se ha creado correctamente');
        

    }

    public function edit($id)
    {
        $clientes = Clientes::findOrFail($id);
        return view('admin.pages.clientes.edit')->with(compact('clientes'));
    }

    public function update(ClientesRequest $request, $id)
    {
        //
        DB::beginTransaction();
        $clientes                   = Clientes::findOrFail($id);
        $clientes->nombres          = $request->nombres;
        $clientes->paterno          = $request->paterno;
        $clientes->materno          = $request->materno;
        $clientes->ctsp             = $request->ctsp;
        $clientes->estado           = $request->estado;
        $clientes->maestria         = $request->maestria;
        $clientes->doctorado        = $request->doctorado;
        $clientes->especialidad     = $request->especialidad;
        $clientes->email            = $request->email;
        $clientes->genero = $request->genero;
        $clientes->dni   = $request->dni;
        $clientes->celular   = $request->celular;

        $pathToYourFile = public_path() . '/admin/images/clientes/' . $clientes->img;

        if ($request->file('image')) {

            $file = $request->file('image');
            $name = 'clientes_' . time() . '.' . $file->getClientOriginalExtension();
            $path = public_path() . '/admin/images/clientes/';
            $file->move($path, $name);

            $clientes->img = $name;
        }

        $clientes->save();

        DB::commit();
        return redirect()->route('clientes.index')->with('flash', 'El Miembro se ha actualizado correctamente');

    }
    public function show($id)
    {
        //
    }
    public function destroy($id)
    {
        //
        try {
            DB::beginTransaction();
            $cliente        = Clientes::findOrFail($id);
            $pathToYourFile = public_path() . '/admin/images/clientes/' . $cliente->img;

            $cliente->delete();
            DB::commit();
            return redirect()->back()->with('flash', 'El miembro se ha eliminado correctamente');
        } catch (\Exception $e) {
            DB::rollBack();
            return redirect()->back();
        }
    }
}

resources/views/admin/pages/clientes/create.blade.php
@extends('home')
@section('header-editar')
<script src="//cdn.ckeditor.com/4.11.4/full/ckeditor.js"></script>
@endsection
@section('styles')

    <link href="{{asset('admin/dataTables.bootstrap4.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('admin/responsive.bootstrap4.css')}}" rel="stylesheet" type="text/css">

@endsection
@section('titulo')
    <div class="block-header">
        <div class="row">
            <div class="col-lg-5 col-md-8 col-sm-12">
                <h2><a href="javascript:void(0);" class="btn btn-xs btn-link btn-toggle-fullwidth"><i
                                class="fa fa-arrow-left"></i></a> Home</h2>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="icon-home"></i></a></li>
                    <li class="breadcrumb-item">Home</li>
                    <li class="breadcrumb-item active">Crear</li>
                </ul>
            </div>

        </div>
    </div>
@endsection
@section('content')
    <div class="row clearfix">
        <div class="col-md-12">
            <div class="card">
                <div class="header">
                    <h2>Subir Miembros</h2>
                </div>
                <hr>
                <div class="body">
                   @include('error')
                  <form   method="POST" action="{{route('clientes.store')}}" enctype="multipart/form-data" >
                  {{ csrf_field() }}

                    <div class="form-group">
                        <div class="row clearfix">
                            <div class="col-md-6">
                                <label for="">Nombres</label>
                                <input type="text" class="form-control" name="nombres" placeholder="nombres" require>
                            </div>
                            <div class="col-md-6">
                            <label for="">Apellido Paterno</label>
                                <input type="text" class="form-control" name="paterno" placeholder="paterno" require>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="row clearfix">
                            <div class="col-md-6">
                                <label for="">Apellido Materno</label>
                                <input type="text" class="form-control" name="materno" placeholder="materno" require>
                            </div>
                            <div class="col-md-6">
                            <label for="">Ctsp</label>
                                <input type="text" class="form-control" name="ctsp" placeholder="ctsp" require>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="row clearfix">
                            <div class="col-md-6">
                                <label for="">Estado</label>
                                <select type="text" class="form-control" name="estado" placeholder="estado" require>
                                <option value="">Seleccione</option>
                                <option value="habilitado">Habilitado</option>
                                <option value="inhabilitado">Inhabilitado</option>
                                </select>
                            </div>
                            <div class="col-md-6">
                            <label for="">Maestria</label>
                                <input type="text" class="form-control" name="maestria" placeholder="maestria" require>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="row clearfix">
                            <div class="col-md-6">
                                <label for="">Doctorado</label>
                                <input type="text" class="form-control" name="doctorado" placeholder="doctorado" require>
                            </div>
                            <div class="col-md-6">
                            <label for="">Especialidad</label>
                                <input type="text" class="form-control" name="especialidad" placeholder="especialidad" require>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="row clearfix">
                            <div class="col-md-6">
                                <label for="">Email</label>
                                <input type="email" class="form-control" name="email" placeholder="email" require>
                            </div>
                            <div class="col-md-6">
                                <label for="">Genero</label>
                                <select type="text" class="form-control" name="genero" placeholder="Género" require>
                                <option value="">Seleccione</option>
                                <option value="masculino">Masculino</option>
                                <option value="femenino">Femenino</option>
                                </select>
                            </div>
                        </div>
                    </div>
                     <div class="form-group">
                        <div class="row clearfix">
                            <div class="col-md-6">
                                <label for="">DNI</label>
                                <input type="text" class="form-control" name="dni" placeholder="dni" require>
                            </div>
                            <div class="col-md-6">
                                <label for="">Celular</label>
                                <input type="text" class="form-control" name="celular" placeholder="celular" require>
                            </div>
                        </div>
                    </div>
                <div class="form-group">


                            <label for="image">Imagen<strong>(resolucion A x A)</strong></label>
                            <input type="file" name="image" class="form-control" value="{{ old('image') }}" >



                    </div>
                            <button type="submit" class="btn btn-verde" >Subir</button>
                            <a href="{{ route('clientes.index') }}" class="btn btn-verde">Cancelar</button></a>


                  </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')

    <script src="{{asset('admin/vendor/dropify/js/dropify.min.js')}}"></script>
    <script src="{{asset('admin/js/pages/forms/dropify.js')}}"></script>
    <script >
        CKEDITOR.replace('content');
    </script>

@endsection

resources/views/admin/pages/clientes/edit.blade.php
@extends('home')
@section('styles')
    <link rel="stylesheet" href="{{ asset('admin/vendor/dropify/css/dropify.min.css')}}"/>
    <link rel="stylesheet" href="{{ asset('admin/vendor/summernote/dist/summernote.css')}}"/>
@endsection
@section('titulo')
    <div class="block-header">
        <div class="row">
            <div class="col-lg-5 col-md-8 col-sm-12">
                <h2><a href="javascript:void(0);" class="btn btn-xs btn-link btn-toggle-fullwidth"><i class="fa fa-arrow-left"></i></a> Home</h2>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="icon-home"></i></a></li>
                    <li class="breadcrumb-item">Home</li>
                    <li class="breadcrumb-item active">Miembros</li>
                </ul>
            </div>
        </div>
    </div>
@endsection
@section('content')
    <div class="row clearfix">
        <div class="col-md-12">
            <div class="card">
                <div class="header">
                    <h2>Editar Miembro</h2>
                </div>
                <hr>
                <div class="body">
                   @include('error')
                <form   action="{{route('clientes.update', $clientes->id)}}" method="POST" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        {{ method_field('PUT')}}
                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-6">
                                    <label for="">Nombres</label>
                                    <input type="text" class="form-control" name="nombres" value="{{$clientes->nombres}}" placeholder="Nombres" require>
                                </div>
                                <div class="col-md-6">
                                <label for="">Apellido Paterno</label>
                                    <input type="text" class="form-control" name="paterno" value="{{$clientes->paterno}}" placeholder="Apellido Paterno" require>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-6">
                                    <label for="">Apellido Materno</label>
                                    <input type="text" class="form-control" name="materno" value="{{$clientes->materno}}" placeholder="Apellido Materno" require>
                                </div>
                                <div class="col-md-6">
                                <label for="">CTSP</label>
                                    <input type="text" class="form-control" name="ctsp" value="{{$clientes->ctsp}}" placeholder="CTSP" require>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-6">
                                    <label for="">Estado</label>
                                    <select type="text" class="form-control" name="estado" value="{{$clientes->estado}}" placeholder="Estado" require>
                                        <option value="{{$clientes->estado}}">{{$clientes->estado}}</option>
                                        <option value="habilitado">Habilitado</option>
                                        <option value="inhabilitado">Inhabilitado</option>
                                    </select>
                                </div>
                                <div class="col-md-6">
                                <label for="">Maestría</label>
                                    <input type="text" class="form-control" name="maestria" value="{{$clientes->maestria}}" placeholder="Maestría" require>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-6">
                                    <label for="">Doctorado</label>
                                    <input type="text" class="form-control" name="doctorado" value="{{$clientes->doctorado}}" placeholder="Doctorado" require>
                                </div>
                                <div class="col-md-6">
                                <label for="">Especialidad</label>
                                    <input type="text" class="form-control" name="especialidad" value="{{$clientes->especialidad}}" placeholder="Especialidad" require>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-6">
                                    <label for="">Email</label>
                                    <input type="text" class="form-control" name="email" value="{{$clientes->email}}" placeholder="Email" require>
                                </div>
                                <div class="col-md-6">
                                    <label for="">Genero</label>
                                    <select type="text" class="form-control" name="genero" value="{{$clientes->genero}}" placeholder="Genero" require>
                                        <option value="{{$clientes->genero}}">{{$clientes->genero}}</option>
                                        <option value="masculino">Masculino</option>
                                        <option value="femenino">Femenino</option>
                                        
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-6">
                                    <label for="">DNI</label>
                                    <input type="text" class="form-control" name="dni" value="{{$clientes->dni}}" placeholder="dni" require>
                                </div>
                                <div class="col-md-6">
                                    <label for="">Celular</label>
                                    <input type="text" class="form-control" name="celular" value="{{$clientes->celular}}" placeholder="celular" require>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-12">
                                <label for="">Imagen : (resolucion 1920 x 700)</label>
                                <br>
                                    <img  src="{{ asset('admin/images/clientes/'.$clientes->img) }}" width="100">
                                    <input type="file" name="image" class="form-control">

                                </div>
                            </div>
                        </div>
                                <button type="submit" class="btn btn-verde" >Guardar</button>
                                <a href="{{ route('clientes.index') }}" class="btn btn-verde">Cancelar</button></a>
</form>
       </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    <script src="{{asset('admin/vendor/dropify/js/dropify.min.js')}}"></script>
    <script src="{{asset('admin/js/pages/forms/dropify.js')}}"></script>
    <script src="{{asset('admin/vendor/summernote/dist/summernote.js')}}"></script>
@endsection

resources/views/admin/pages/clientes/index.blade.php
@extends('home')
@section('styles')

    <link href="{{asset('admin/dataTables.bootstrap4.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('admin/responsive.bootstrap4.css')}}" rel="stylesheet" type="text/css">

@endsection
@section('titulo')
    <div class="block-header">
        <div class="row">
            <div class="col-lg-5 col-md-8 col-sm-12">
                <h2><a href="javascript:void(0);" class="btn btn-xs btn-link btn-toggle-fullwidth"><i
                                class="fa fa-arrow-left"></i></a> Home</h2>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="icon-home"></i></a></li>
                    <li class="breadcrumb-item">Home</li>
                    <li class="breadcrumb-item active">Miembros</li>
                </ul>
            </div>

        </div>
    </div>
@endsection
@section('content')
<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                @include('alerts')
                <h2 style="width: 70%;float: left;">Listado de Miembros </h2>
                <div ><a href="{{route('clientes.create')}}" class="btn btn-verde" style="float: right;">
                <span> Registrar</span></a></div>
                <div ><a href="{{route('excel.index')}}" class="btn btn-verde" style="float: right; background-color: #dc3545; border-color: #dc3545">
                <span> Exportar</span></a></div>
                <br>
                <br>
                <br>
                <br>
                <form method="post" action="{{route('importarExcel')}}" enctype="multipart/form-data" style="text-align: center;">
                                                        {{csrf_field()}}
                                                        <input type="file" name="excel" required class="form-control">
                                                        <br><br>
                                                        <div align="center">
                                                        <input type="submit" class="btn btn-dark" value="Importar">
                                                        </div>
                                            </form>
            </div>
            <div class="body">
                <div class="table-responsive">
                    <table id="basic-datatable" class="table table-striped nowrap">
                        <thead>
                            <tr>
                                <th>N°</th>
                                <th>Nombre</th>
                                <th>Apellidos</th>
                                <th>ctsp</th>
                                <th>estado</th>
                                <th>opciones</th>

                            </tr>
                            <tbody>
                                @foreach ($clientes as $key => $cliente)
                                    <tr>
                                        <td>{{ $key+1 }}</td>
                                        <td>{{ $cliente->nombres }}</td>
                                        <td>{{ $cliente->paterno}}</td>
                                        <td>{{ $cliente->ctsp}}</td>
                                        <td>{{ $cliente->estado}}</td>
                                        <td class="text-nowrap">
                                        <form method="POST"  action="{{route('clientes.destroy',$cliente->id)}}" >
                                            <a href="{{route('clientes.edit',$cliente->id)}}" class="btn btn-info" title="Editar"><i class="fa fa-edit"></i></a>&nbsp;
                                            {{ csrf_field() }}
                                            {{ method_field('DELETE') }}

                                                <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('Estas seguro de eliminar el cliente')"> <i class="fa fa-trash-o"></i></button>

                                             </form>
                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

    <script src="{{asset('admin/vendor/dropify/js/dropify.min.js')}}"></script>
    <script src="{{asset('admin/js/pages/forms/dropify.js')}}"></script>

@endsection